/*
 * @(#)internal_md.h	1.9 96/11/23
 * 
 * Copyright (c) 1995, 1996 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.1_beta
 * 
 */

/*
 * Freebsd-specific components of Green threads
 */

#ifndef _FREEBSD_INTERNAL_MD_H_
#define _FREEBSD_INTERNAL_MD_H_

#include <signal.h>
#include <assert.h>

/*
 * Machine dependent info
 */
typedef struct {
    sigset_t intrLockOldMask;
    int intrLockCount;
} machdep_t;

#define MACHDEP(tid)    (&((tid)->machdep))

#endif /* !_FREEBSD_INTERNAL_MD_H_ */
